Skip to main content
GET
/
invoices
List invoices
curl --request GET \
  --url https://api.zenskar.com/invoices \
  --header 'apiversion: <api-key>' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoice_id": "<string>",
      "customer_id": "<string>",
      "contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoice_number": "<string>",
      "invoice_period": {
        "begin_date": "2023-11-07T05:31:56Z",
        "end_date_exclusive": "2023-11-07T05:31:56Z"
      },
      "status": "draft",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "last_updated_at": "2023-11-07T05:31:56Z",
      "invoice_total": 123,
      "net_invoice_total": 123,
      "applied_balance": 123,
      "invoice_url": "<string>",
      "external_id": "<string>",
      "payment_url": "<string>",
      "due_date": "2023-11-07T05:31:56Z",
      "promise_due_date": "2023-11-07T05:31:56Z",
      "amount_due": 123,
      "charged_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required
apiversion
string
header
default:20230501
required

Headers

apiversion
integer | null

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
default:-created_at
Example:

"-created_at"

id
string<uuid> | null
id__in
string | null
id__not_in
string | null
customer_id
string<uuid> | null
customer_id__in
string | null
customer_id__isnull
boolean | null
contract_id
string<uuid> | null
contract_id__in
string | null
contract_id__isnull
boolean | null
status
string | null
status__ilike
string | null
status__like
string | null
status__in
string | null
status__isnull
boolean | null
external_id
string | null
external_id__ilike
string | null
external_id__like
string | null
external_id__in
string | null
external_id__isnull
boolean | null
invoice_total
number | null
invoice_total__neq
number | null
invoice_total__gt
number | null
invoice_total__gte
number | null
invoice_total__lt
number | null
invoice_total__lte
number | null
invoice_total__isnull
boolean | null
invoice_total__in
string | null
amount_due
number | null
amount_due__neq
number | null
amount_due__gt
number | null
amount_due__gte
number | null
amount_due__lt
number | null
amount_due__lte
number | null
amount_due__isnull
boolean | null
amount_due__in
string | null
due_date
string<date-time> | null
due_date__neq
string<date-time> | null
due_date__gt
string<date-time> | null
due_date__gte
string<date-time> | null
due_date__lt
string<date-time> | null
due_date__lte
string<date-time> | null
due_date__isnull
boolean | null
due_date__in
string | null
effective_due_date
string<date-time> | null
effective_due_date__neq
string<date-time> | null
effective_due_date__gt
string<date-time> | null
effective_due_date__gte
string<date-time> | null
effective_due_date__lt
string<date-time> | null
effective_due_date__lte
string<date-time> | null
effective_due_date__isnull
boolean | null
effective_due_date__in
string | null
created_at
string<date-time> | null
created_at__neq
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
created_at__isnull
boolean | null
created_at__in
string | null
bill_for_date
string<date-time> | null
bill_for_date__neq
string<date-time> | null
bill_for_date__gt
string<date-time> | null
bill_for_date__gte
string<date-time> | null
bill_for_date__lt
string<date-time> | null
bill_for_date__lte
string<date-time> | null
bill_for_date__isnull
boolean | null
bill_for_date__in
string | null
approved_at
string<date-time> | null
approved_at__neq
string<date-time> | null
approved_at__gt
string<date-time> | null
approved_at__gte
string<date-time> | null
approved_at__lt
string<date-time> | null
approved_at__lte
string<date-time> | null
approved_at__isnull
boolean | null
approved_at__in
string | null
sent_at
string<date-time> | null
sent_at__neq
string<date-time> | null
sent_at__gt
string<date-time> | null
sent_at__gte
string<date-time> | null
sent_at__lt
string<date-time> | null
sent_at__lte
string<date-time> | null
sent_at__isnull
boolean | null
sent_at__in
string | null
paid_at
string<date-time> | null
paid_at__neq
string<date-time> | null
paid_at__gt
string<date-time> | null
paid_at__gte
string<date-time> | null
paid_at__lt
string<date-time> | null
paid_at__lte
string<date-time> | null
paid_at__isnull
boolean | null
paid_at__in
string | null
period_begin_date
string<date-time> | null
period_begin_date__neq
string<date-time> | null
period_begin_date__gt
string<date-time> | null
period_begin_date__gte
string<date-time> | null
period_begin_date__lt
string<date-time> | null
period_begin_date__lte
string<date-time> | null
period_begin_date__isnull
boolean | null
period_begin_date__in
string | null
period_end_date
string<date-time> | null
period_end_date__neq
string<date-time> | null
period_end_date__gt
string<date-time> | null
period_end_date__gte
string<date-time> | null
period_end_date__lt
string<date-time> | null
period_end_date__lte
string<date-time> | null
period_end_date__isnull
boolean | null
period_end_date__in
string | null
invoice_number
string | null
invoice_number__ilike
string | null
invoice_number__like
string | null
invoice_number__in
string | null
customer__customer_name
string | null
customer__customer_name__ilike
string | null
customer__customer_name__like
string | null
customer__customer_name__in
string | null
customer__customer_name__isnull
boolean | null
customer__external_id
string | null
customer__external_id__ilike
string | null
customer__external_id__like
string | null
customer__external_id__in
string | null
customer__external_id__isnull
boolean | null
customer__business_entity_id
string<uuid> | null
customer__business_entity_id__in
string | null
customer__business_entity_id__isnull
boolean | null
contract__name
string | null
contract__name__ilike
string | null
contract__name__like
string | null
contract__name__in
string | null
contract__name__isnull
boolean | null
payment_methods__id
string<uuid> | null
payment_methods__id__in
string | null
payment_methods__id__isnull
boolean | null
payment_methods__connector_id
string<uuid> | null
payment_methods__connector_id__in
string | null
payment_methods__connector_id__isnull
boolean | null
payment_methods__connector_name
string | null
payment_methods__connector_name__ilike
string | null
payment_methods__connector_name__like
string | null
payment_methods__connector_name__in
string | null
payment_methods__connector_name__isnull
boolean | null
payment_methods__connector_name__neq
string | null
payment_methods__external_id
string | null
payment_methods__external_id__ilike
string | null
payment_methods__external_id__like
string | null
payment_methods__external_id__in
string | null
payment_methods__external_id__isnull
boolean | null
payment_methods__status
string | null
payment_methods__status__ilike
string | null
payment_methods__status__like
string | null
payment_methods__status__in
string | null
payment_methods__status__isnull
boolean | null
payment_methods__country
string | null
payment_methods__country__ilike
string | null
payment_methods__country__like
string | null
payment_methods__country__in
string | null
payment_methods__country__isnull
boolean | null
payment_methods__is_default
boolean | null
payment_methods__is_default__isnull
boolean | null
payment_methods__type
string | null
payment_methods__type__ilike
string | null
payment_methods__type__like
string | null
payment_methods__type__in
string | null
payment_methods__type__isnull
boolean | null

Response

Successful Response

results
InvoicePublic · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows